Bug 43823 - [patch] update to environ(7) manpage
Summary: [patch] update to environ(7) manpage
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gordon Bergling
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2002-10-08 13:10 UTC by Lyndon Nerenberg
Modified: 2020-08-12 07:01 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (9.00 KB, patch)
2002-10-08 13:10 UTC, Lyndon Nerenberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lyndon Nerenberg 2002-10-08 13:10:01 UTC
The environ(7) manpage is a bit stale.

The enclosed patch addresses the following issues:

1) Rationalize the use of the mdoc macros, particulary w.r.t.
   misuses of .Dq and .Ar.

2) Some cleanup and expansion of the prose to (I hope) make it
   a bit easier to read.

3) Move the descriptions of the environment variables into
   the ENVIRONMENT section of the manpage.

4) Clean up the references in SEE ALSO to only include those manpages
   that directly address relevant environment issues.

5) Remove the entry for PWD, as it's very shell specific and cannot
   be relied upon in general.

6) Remove the entry for LANG. It's superseded by the LC_*
   variables, and isn't referenced by any of the system manpages
   under 4.7-RC. A grep through /usr/src for references to LANG
   shows that anything that does use it defers to LC_*.

7) Quite a few commonly referenced variables were added:

   CC, COLUMNS, DISPLAY, FTP_PROXY, HOSTALIASES, HTTP_PROXY,
   LC_*, LD, LD_LIBRARY_PATH, LINES, LOCALDOMAIN, LOGNAME,
   MANPATH, NNTPSERVER, ORGANIZATION, POSIXLY_CORRECT,
   and VISUAL

   That list is a bit arbitrary, but I tried to pick those that
   are common to several commands, or are just plain useful to
   know about. I avoided anything specific to just one command
   (but left EXINIT in anyway).

8) Remove the "warning" text at the end. It didn't really say
   anything useful, and made reference to a number of variables
   that were not described in the manpage to begin with.

How-To-Repeat: 	N/A
Comment 1 Hiten Pandya freebsd_committer 2003-05-16 05:01:12 UTC
Responsible Changed
From-To: freebsd-bugs->hmp

Move this to the right category, and assign it to me. 
I will take care of this in the near future.
Comment 2 Hiten Pandya freebsd_committer 2003-09-17 17:48:22 UTC
Responsible Changed
From-To: hmp->simon

Give this PR to the most talented, Simon Nielson (simon@) :-)
Comment 3 Simon L. B. Nielsen freebsd_committer 2005-06-12 17:47:57 UTC
Responsible Changed
From-To: simon->freebsd-doc

Throw this back in the pool since I don't see me having time to rework 
this patch enough so it can be comitted any time soon. 

Note that some of the additions suggested in the patch have already 
been in environ(7) for quite a while.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:06 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 5 Gordon Bergling freebsd_committer 2020-08-01 10:20:03 UTC
I created a differential for this PR. I took the most part of the patch but I had leaved out the NNTP parts. I am not sure that these are still relevant today.
Comment 6 commit-hook freebsd_committer 2020-08-05 11:41:51 UTC
A commit references this bug:

Author: gbe
Date: Wed Aug  5 11:41:42 UTC 2020
New revision: 363907
URL: https://svnweb.freebsd.org/changeset/base/363907

Log:
  environ(7): Update the description and include some more environment variables

  - Add a better introduction to the DESCRIPTION section
  - Add a description for MANPATH and POSIXLY_CORRECT
  - Asorted improvements for the usage of some macros

  PR:		43823
  Submitted by:	Lyndon Nerenberg <lyndon at orthanc dot ab dot ca>
  Reviewed by:	0mp, bcr
  Approved by:	0mp, bcr
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D25912

Changes:
  head/share/man/man7/environ.7
Comment 7 Gordon Bergling freebsd_committer 2020-08-05 11:43:07 UTC
Commit in a slightly different form.

Thanks for the patch!
Comment 8 commit-hook freebsd_committer 2020-08-12 07:00:19 UTC
A commit references this bug:

Author: gbe
Date: Wed Aug 12 07:00:06 UTC 2020
New revision: 364142
URL: https://svnweb.freebsd.org/changeset/base/364142

Log:
  MFC r363907: environ(7): Update the description and include some more environment variables

  - Add a better introduction to the DESCRIPTION section
  - Add a description for MANPATH and POSIXLY_CORRECT
  - Asorted improvements for the usage of some macros

  PR:		43823
  Submitted by:	Lyndon Nerenberg <lyndon at orthanc dot ab dot ca>
  Reviewed by:	0mp, bcr
  Approved by:	0mp, bcr
  Differential Revision:	https://reviews.freebsd.org/D25912

Changes:
_U  stable/12/
  stable/12/share/man/man7/environ.7